### Function

# GLib strup

deprecated: 2.2 since: 2.0

#### Declaration

    gchar*
    g_strup (
      gchar* string
    )

#### Description

Converts a string to upper case.

Available since: 2.0

Deprecated since: 2.2

This function is totally broken for the reasons discussed in the `g_strncasecmp()` docs — use `g_ascii_strup()` or `g_utf8_strup()` instead.

#### Parameters

`string`

  Type: `gchar*`

  The string to convert.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `gchar*`

The string.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The value is a NUL terminated UTF-8 string.